> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DSA code execution result [batch] 

> Get result of multiple DSA code execution attempts at once

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 6000 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-dsa-code-execution-result-batch
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-dsa-code-execution-result-batch:
    post:
      tags:
        - DSA
      summary: 'Get DSA code execution result [batch] '
      description: >-
        Get result of multiple DSA code execution attempts at once


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 6000 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          taskUniqueIds:
                            type: array
                            items:
                              type: string
                              minLength: 1
                              description: Unique ID of the task
                            minItems: 1
                        required:
                          - taskUniqueIds
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                tasks:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      taskUniqueId:
                                        type: string
                                        minLength: 1
                                      sourceCodeAsBase64UrlEncoded:
                                        type: string
                                      language:
                                        type: string
                                        enum:
                                          - C
                                          - Cpp
                                          - Java
                                          - Python
                                          - Nodejs
                                          - Sqlite_3_48_0
                                          - Golang_1_19
                                          - Rust_1_87
                                          - Dotnet_8
                                          - Mysql_8
                                      runConfig:
                                        type: object
                                        properties:
                                          customMatcherToUseForExpectedOutput:
                                            anyOf:
                                              - type: string
                                                enum:
                                                  - ExactMatch
                                                  - IgnoreWhitespaceAtStartAndEnd
                                                  - >-
                                                    IgnoreWhitespaceAtStartAndEndCaseInsensitive
                                                  - >-
                                                    IgnoreWhitespaceAtStartAndEndForEveryLine
                                                  - >-
                                                    IgnoreWhitespaceAtStartAndEndForEveryLineCaseInsensitive
                                              - nullable: true
                                              - nullable: true
                                          expectedOutputAsBase64UrlEncoded:
                                            anyOf:
                                              - type: string
                                              - nullable: true
                                              - nullable: true
                                          stdinStringAsBase64UrlEncoded:
                                            anyOf:
                                              - type: string
                                              - nullable: true
                                              - nullable: true
                                          callbackUrlOnExecutionCompletion:
                                            anyOf:
                                              - type: string
                                                format: uri
                                                description: >-
                                                  Provide a URL on which Fermion would
                                                  sent a POST request with the result in
                                                  body after execution is completed
                                              - nullable: true
                                              - nullable: true
                                          shouldEnablePerProcessAndThreadCpuTimeLimit:
                                            type: boolean
                                            default: false
                                          shouldEnablePerProcessAndThreadMemoryLimit:
                                            type: boolean
                                            default: false
                                          shouldAllowInternetAccess:
                                            type: boolean
                                            default: false
                                          compilerFlagString:
                                            type: string
                                            minLength: 0
                                            maxLength: 512
                                            default: ''
                                          maxFileSizeInKilobytesFilesCreatedOrModified:
                                            type: number
                                            minimum: 0
                                            maximum: 512000
                                            default: 51200
                                          stackSizeLimitInKilobytes:
                                            type: number
                                            minimum: 0
                                            maximum: 128000
                                            default: 65536
                                          cpuTimeLimitInMilliseconds:
                                            type: integer
                                            minimum: 0
                                            maximum: 5000
                                            default: 2000
                                          wallTimeLimitInMilliseconds:
                                            type: integer
                                            minimum: 0
                                            maximum: 7000
                                            default: 5000
                                          memoryLimitInKilobyte:
                                            type: integer
                                            minimum: 0
                                            maximum: 1024000
                                            default: 512000
                                          maxProcessesAndOrThreads:
                                            type: integer
                                            minimum: 1
                                            maximum: 120
                                            default: 60
                                      codingTaskStatus:
                                        type: string
                                        enum:
                                          - Pending
                                          - Processing
                                          - Finished
                                        description: This is the status of the coding task.
                                      runResult:
                                        anyOf:
                                          - type: object
                                            properties:
                                              compilerOutputAfterCompilationBase64UrlEncoded:
                                                anyOf:
                                                  - type: string
                                                  - nullable: true
                                                  - nullable: true
                                              finishedAt:
                                                type: string
                                                format: date-time
                                              runStatus:
                                                type: string
                                                enum:
                                                  - compilation-error
                                                  - time-limit-exceeded
                                                  - non-zero-exit-code
                                                  - died-sigsev
                                                  - died-sigxfsz
                                                  - died-sigfpe
                                                  - died-sigabrt
                                                  - internal-isolate-error
                                                  - successful
                                                  - wrong-answer
                                                  - unknown
                                              programRunData:
                                                anyOf:
                                                  - type: object
                                                    properties:
                                                      cpuTimeUsedInMilliseconds:
                                                        type: integer
                                                        minimum: 0
                                                      wallTimeUsedInMilliseconds:
                                                        type: integer
                                                        minimum: 0
                                                      memoryUsedInKilobyte:
                                                        type: integer
                                                        minimum: 0
                                                      exitSignal:
                                                        type: number
                                                      exitCode:
                                                        type: number
                                                      stdoutBase64UrlEncoded:
                                                        anyOf:
                                                          - type: string
                                                          - nullable: true
                                                          - nullable: true
                                                      stderrBase64UrlEncoded:
                                                        anyOf:
                                                          - type: string
                                                          - nullable: true
                                                          - nullable: true
                                                    required:
                                                      - cpuTimeUsedInMilliseconds
                                                      - wallTimeUsedInMilliseconds
                                                      - memoryUsedInKilobyte
                                                      - exitSignal
                                                      - exitCode
                                                      - stdoutBase64UrlEncoded
                                                      - stderrBase64UrlEncoded
                                                  - nullable: true
                                                  - nullable: true
                                            required:
                                              - >-
                                                compilerOutputAfterCompilationBase64UrlEncoded
                                              - finishedAt
                                              - runStatus
                                              - programRunData
                                          - nullable: true
                                          - nullable: true
                                        description: >-
                                          This is the result of the run. It will
                                          be null if the run is in progress
                                    required:
                                      - taskUniqueId
                                      - sourceCodeAsBase64UrlEncoded
                                      - language
                                      - runConfig
                                      - codingTaskStatus
                                      - runResult
                              required:
                                - tasks
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````